Package org.apache.sling.jcr.base.internal.loader

## Class Loader

- java.lang.Object
- - org.apache.sling.jcr.base.internal.loader.Loader

All Implemented Interfaces:
  `EventListener`, `org.osgi.framework.BundleListener`

    public class Loader
    extends Object
    implements org.osgi.framework.BundleListener

The `Loader` TODO

### Field Summary

Fields
`static String` `NAMESPACES_BUNDLE_HEADER`
`static String` `NODETYPES_BUNDLE_HEADER`

### Constructor Summary

Constructors
`Loader​(org.apache.sling.jcr.api.SlingRepository repository, org.osgi.framework.BundleContext bundleContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `bundleChanged​(org.osgi.framework.BundleEvent event)` Loads and unloads any components provided by the bundle whose state changed.
`void` `dispose()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NODETYPES_BUNDLE_HEADER

    public static final String NODETYPES_BUNDLE_HEADER

See Also:
  Constant Field Values

#### NAMESPACES_BUNDLE_HEADER

    public static final String NAMESPACES_BUNDLE_HEADER

See Also:
  Constant Field Values

### Constructor Detail

#### Loader

    public Loader​(org.apache.sling.jcr.api.SlingRepository repository,
                  org.osgi.framework.BundleContext bundleContext)

### Method Detail

#### dispose

    public void dispose()

#### bundleChanged

    public final void bundleChanged​(org.osgi.framework.BundleEvent event)

Loads and unloads any components provided by the bundle whose state changed. If the bundle has been started, the components are loaded. If the bundle is about to stop, the components are unloaded.

Specified by:
  `bundleChanged` in interface `org.osgi.framework.BundleListener`
Parameters:
  `event` - The `BundleEvent` representing the bundle state change.